classification
Title: PyUnicode_EncodeDecimal is undocumented
Type: Stage: needs patch
Components: Documentation Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Document unicode C-API in reST
View: 10435
Assigned To: docs@python Nosy List: docs@python, hodgestar, stutzbach, vstinner
Priority: normal Keywords:

Created on 2010-05-07 15:59 by stutzbach, last changed 2011-11-22 00:53 by vstinner. This issue is now closed.

Messages (5)
msg105205 - (view) Author: Daniel Stutzbach (stutzbach) (Python committer) Date: 2010-05-07 15:59
PyUnicode_EncodeDecimal is undocumented (although it's referenced in passing in the documentation for PyLong_FromUnicode).  There's a lengthy comment in unicodeobject.h describing PyUnicode_EncodeDecimal, which could be converted more or less directly into documentation.
msg107836 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-06-14 22:52
Can you write a patch?
msg107870 - (view) Author: Daniel Stutzbach (stutzbach) (Python committer) Date: 2010-06-15 13:53
Yes, though it may be a while before I find time to do so.
msg121671 - (view) Author: Simon Cross (hodgestar) Date: 2010-11-20 16:23
This issue is subsumed by #10435 and can probably be closed as a duplicated.
msg148100 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-22 00:53
I added tests for PyUnicode_EncodeDecimal() and PyUnicode_TransformDecimalToASCII() in Python 2.7, 3.2 and 3.3 (see also issue #13093).
History
Date User Action Args
2011-11-22 00:53:09vstinnersetmessages: + msg148100
2010-11-20 23:20:12belopolskysetstatus: open -> closed
resolution: duplicate
superseder: Document unicode C-API in reST
2010-11-20 16:23:29hodgestarsetnosy: + hodgestar
messages: + msg121671
2010-06-15 13:53:50stutzbachsetmessages: + msg107870
2010-06-14 22:52:38vstinnersetmessages: + msg107836
2010-05-13 01:10:56vstinnersetnosy: + vstinner
2010-05-07 15:59:04stutzbachcreate